games/nighthawk - The NetBSD Packages Collection

C64 Paradroid clone

In a nutshell, Nighthawk is a shoot-'em up game, however, it requires
a lot of lateral thinking. If you go around blasting everything to
pieces, you'll find that you won't last very long as you're up
again droids with far greater fire power than yourself. The droids
are fairly stupid compared to a human though, so you have that in
your favour.

You are a droid and you have to destroy droids occupying a fleet
of reclaimed starships. You start out as a 002 Paradroid with very
poor firepower and shielding.  However, you have the ability to
transfer your programs over to a new droid, effectively taking it
over. As you take control of bigger and better droids, you''ll gain
better firepower and shielding.

Build dependencies

pkgtools/x11-links x11/xorgproto pkgtools/cwrappers devel/gmake

Runtime dependencies

x11/libXpm

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfnighthawk-2.1nb5.tgz
NetBSD 8.0earmv7hfnighthawk-2.1nb5.tgz
NetBSD 8.0earmv7hfnighthawk-2.1nb5.tgz
NetBSD 8.0i386nighthawk-2.1nb5.tgz
NetBSD 8.0i386nighthawk-2.1nb5.tgz
NetBSD 8.0i386nighthawk-2.1nb5.tgz
NetBSD 8.0powerpcnighthawk-2.1nb5.tgz
NetBSD 8.0powerpcnighthawk-2.1nb5.tgz
NetBSD 8.0powerpcnighthawk-2.1nb5.tgz
NetBSD 8.0x86_64nighthawk-2.1nb5.tgz
NetBSD 8.0x86_64nighthawk-2.1nb5.tgz
NetBSD 9.0aarch64nighthawk-2.1nb5.tgz
NetBSD 9.0aarch64nighthawk-2.1nb5.tgz
NetBSD 9.0aarch64nighthawk-2.1nb5.tgz
NetBSD 9.0alphanighthawk-2.1nb5.tgz
NetBSD 9.0alphanighthawk-2.1nb5.tgz
NetBSD 9.0alphanighthawk-2.1nb5.tgz
NetBSD 9.0earmv6hfnighthawk-2.1nb5.tgz
NetBSD 9.0earmv6hfnighthawk-2.1nb5.tgz
NetBSD 9.0earmv6hfnighthawk-2.1nb5.tgz
NetBSD 9.0earmv6hfnighthawk-2.1nb5.tgz
NetBSD 9.0earmv7hfnighthawk-2.1nb5.tgz
NetBSD 9.0earmv7hfnighthawk-2.1nb5.tgz
NetBSD 9.0earmv7hfnighthawk-2.1nb5.tgz
NetBSD 9.0earmv7hfnighthawk-2.1nb5.tgz
NetBSD 9.0i386nighthawk-2.1nb5.tgz
NetBSD 9.0i386nighthawk-2.1nb5.tgz
NetBSD 9.0i386nighthawk-2.1nb5.tgz
NetBSD 9.0mips64ebnighthawk-2.1nb5.tgz
NetBSD 9.0mips64ebnighthawk-2.1nb5.tgz
NetBSD 9.0mips64ebnighthawk-2.1nb5.tgz
NetBSD 9.0powerpcnighthawk-2.1nb5.tgz
NetBSD 9.0powerpcnighthawk-2.1nb5.tgz
NetBSD 9.0sparc64nighthawk-2.1nb5.tgz
NetBSD 9.0sparc64nighthawk-2.1nb5.tgz
NetBSD 9.0sparc64nighthawk-2.1nb5.tgz
NetBSD 9.0sparc64nighthawk-2.1nb5.tgz
NetBSD 9.0sparcnighthawk-2.1nb5.tgz
NetBSD 9.0x86_64nighthawk-2.1nb5.tgz
NetBSD 9.0x86_64nighthawk-2.1nb5.tgz
NetBSD 9.0x86_64nighthawk-2.1nb5.tgz
NetBSD 9.0x86_64nighthawk-2.1nb5.tgz
NetBSD 9.0x86_64nighthawk-2.1nb5.tgz
NetBSD 9.0x86_64nighthawk-2.1nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.